Page MenuHomePhabricator

Enable [[mw:Extension:LilyPond]] on Wikisource sites
Closed, ResolvedPublic

Description

Author: Birgitte_SB

Description:
Lilypond allows the input of musical scores in a manner similar to LaTeX. This
is very important for Wikisource as we current have to use the very labor
intensive method of scanning pages from a book; cropping out the music;
uploading the crops; and formatting as an image. Curently an entire Musical
Encyclopeia is being added to en.WS and example page is:

http://en.wikisource.org/wiki/Complete_Encyclopaedia_of_Music/A/accent

This feature is greatly needed for this and other musical projects at Wikisource.


Version: unspecified
Severity: enhancement

Details

Reference
bz7355

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 21 2014, 9:24 PM
bzimport set Reference to bz7355.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Sep 17 2006, 7:08 PM

ayg wrote:

Is there a working extension for this? Seemingly [[w:Wikipedia:WikiTex]]
exists, but I'm not clear on whether it's of usable quality level at this point.

ayg wrote:

Blah, make that [[Wikipedia:WikiTeX]].

Birgitte_SB wrote:

It is available at other MediaWiki wikis

http://wikisophia.org/wiki/Music

http://lilypondwiki.tuxfamily.org/index.php?title=Main_Page

I don't know if there are still unresovled issues for us or not. But if there
are please resolve them.

Birgitte_SB wrote:

Look at [[Bug 189]] There is something there but it is over my head

dscho wrote:

Hi,

Comment on bug 189: It is a simple extension using Lilypond (you have to have
Lilypond installed in order to operate this). The music is typeset by
enclosing Lilypond notation into <lilypond>..</lilypond> tags. It is very easy:

<lilypond>c4 d e f g</lilypond>

creates a scale from c to g, in quarter notes. (It could be that the tag is
actually <lily>, not <lilypond>, but I do not remember off-hand, because it
is such a long time ago that I made the extension.)

Ciao,
Dscho

brion added a comment.Oct 9 2006, 10:24 PM

Tim considers Lilypond too inherently unsafe.

We'll want something that's cleaner and more secure.

demon added a comment.Jan 28 2011, 9:18 PM
  • Bug 27014 has been marked as a duplicate of this bug. ***

(In reply to comment #6)

Tim considers Lilypond too inherently unsafe.
We'll want something that's cleaner and more secure.

I'll be bold and reopen this request since on bug 189 comment 37 (from 2008), Tim Starling said
"[...] if you really want to write a LilyPond extension, you could at least go to the trouble of reviewing its security [...]"
and there is a specific request to fix the problem of DoS attacks on Bug 29630.

Reedy added a comment.Jul 1 2011, 6:08 PM

Marking later, it isn't actionable until it's fixed

For the record, I think it is more likely we will get bug 33193 fixed than this one.

This is now fixed, FWIW.